Bug 778019 (SOA-544) - Add MSSQL config files
Summary: Add MSSQL config files
Keywords:
Status: CLOSED NEXTRELEASE
Alias: SOA-544
Product: JBoss Enterprise SOA Platform 4
Classification: JBoss
Component: JBossESB
Version: 4.2 CP01
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.3 CP02
Assignee: Jervis Liu
QA Contact:
URL: http://jira.jboss.org/jira/browse/SOA...
Whiteboard:
Depends On:
Blocks: SOA-541 SOA-1070
TreeView+ depends on / blocked
 
Reported: 2008-05-14 12:22 UTC by Martin Vecera
Modified: 2013-11-07 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-19 13:37:37 UTC
Type: Task


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 778372 urgent CLOSED Add MSSQL config files 2021-01-20 06:05:38 UTC
Red Hat Bugzilla 779043 urgent CLOSED MSSQL config files added twice 2021-01-20 06:05:38 UTC
Red Hat Issue Tracker SOA-544 Major Closed Add MSSQL config files 2018-09-07 09:48:21 UTC

Internal Links: 778372 779043

Description Martin Vecera 2008-05-14 12:22:09 UTC
Date of First Response: 2008-06-02 10:54:12
project_key: SOA

Add following configuration files to support MSSQL:

deploy/jbossesb.esb/message-store-sql/mssql

deploy/jbossesb.sar/juddi-sql/mssql
deploy/jbossesb.sar/lib/juddi-2.0rc5.jar/juddi-sql/mssql

For juddi we are experimenting with files copied from sybase config. The server is able to start with that. We will know more after running the tests.

Comment 1 Martin Vecera 2008-05-14 12:32:04 UTC
See linked issue for configuration files.

Comment 2 Martin Vecera 2008-05-14 12:32:04 UTC
Link: Added: This issue depends JBESB-1721


Comment 3 tcunning 2008-06-02 14:54:12 UTC
Here's the jUDDI bug representing this issue:
https://issues.apache.org/jira/browse/JUDDI-127

These files have been committed to trunk and can be included after the next release of jUDDI.

Comment 4 Mark Little 2008-08-28 21:11:37 UTC
Spoke with Tom and agreed to move this out since it won't happen until after the GA date.

Comment 5 nwallace 2008-09-25 19:36:56 UTC
Link: Added: This issue related SOA-855


Comment 6 Mark Little 2008-12-13 22:24:49 UTC
Link: Added: This issue is a dependency of SOA-1070


Comment 7 Kevin Conner 2009-01-23 16:20:38 UTC
The message store configuration was already updated as a consequence of changes made to the 4.2CP branch, the only outstanding issue appears to be SOA-1070.

I am separating the JBESB-1721 issue out from the jUDDI issue.

Comment 8 Kevin Conner 2009-01-23 16:32:13 UTC
This has been fixed in the 4.2CP02 release of the SOA platform.

Comment 9 Dana Mison 2009-08-19 09:55:15 UTC
added to 4.3.CP02 release nots as resolved:

JBESB-1721 - Configuration files have been added for the use of Microsoft SQL Server as the ESB database.


Comment 10 Martin Vecera 2009-08-19 13:36:34 UTC
Link: Added: This issue is related to SOA-1454


Comment 11 Martin Vecera 2009-08-19 13:36:35 UTC
This fix introduced SOA-1454

Comment 12 Martin Vecera 2009-08-19 13:37:37 UTC
Verified with 4.3 CP02 CR2


Note You need to log in before you can comment on or make changes to this bug.